var screen_size = Global.GetScreenSize();
function drawIndicators()
{
    //vars
    isDoubletap = UI.IsHotkeyActive("Rage", "Exploits", "Doubletap");
    isInstant = UI.GetValue("Rage", "Exploits", "Extras", "Instant Doubletap");
    isHideShots = UI.IsHotkeyActive("Rage", "Exploits", "Hide shots");
    localplayer_index = Entity.GetLocalPlayer( );
    localplayer_alive = Entity.IsAlive( localplayer_index );
    if (localplayer_alive == true){
   
        Render.GradientRect(936, 647, 50, 35, 0, [50, 50, 50, 110], [250, 128, 128, 110]);
    Render.GradientRect(935, 646, 52, 37, 0, [0, 0, 0, 130], [0, 0, 0, 130]);  
    // shadows
    Render.String(screen_size[0] /2 + 1, screen_size[1] /2 +111, 1, isInstant ? "INSTANT" : "INSTANT", isInstant ? [ 0, 0, 0, 255 ] : [ 0, 0, 0, 255 ], 3 );
    Render.String(screen_size[0] /2 + 1, screen_size[1] /2 +121, 1, isDoubletap ? "DT" : "DT", isDoubletap ? [ 0, 0, 0, 255 ] : [ 0, 0, 0, 255 ], 3 );
    Render.String(screen_size[0] /2 + 1, screen_size[1] /2 +131, 1, isHideShots ? "HIDE" : "ON-SHOT", isHideShots ? [ 0, 0, 0, 255 ] : [ 0, 0, 0, 255 ], 3 );
   
    //ind
    Render.String(screen_size[0] /2, screen_size[1] /2 +110, 1, isInstant ? "INSTANT" : "INSTANT", isInstant ? [ 167, 255, 0, 255 ] : [ 255, 0, 0, 255 ], 3 );
    Render.String(screen_size[0] /2, screen_size[1] /2 +120, 1, isDoubletap ? "DT" : "DT", isDoubletap ? [ 167, 255, 0, 255 ] : [ 255, 0, 0, 255 ], 3 );
    Render.String(screen_size[0] /2, screen_size[1] /2 +130, 1, isHideShots ? "HIDE" : "ON-SHOT", isHideShots ? [ 167, 255, 0, 255 ] : [ 255, 0, 0, 255 ], 3 );
}}
Cheat.RegisterCallback("Draw", "drawIndicators")